Generate encounter content
curl --request POST \
--url https://api.kitefrost.ai/v1/projects/{project_id}/ttrpg-gm/encounters/{encounter_id}/generate \
--header 'Content-Type: application/json' \
--data '
{
"project_context": "<string>",
"party_level": 123,
"party_size": 123
}
'import requests
url = "https://api.kitefrost.ai/v1/projects/{project_id}/ttrpg-gm/encounters/{encounter_id}/generate"
payload = {
"project_context": "<string>",
"party_level": 123,
"party_size": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({project_context: '<string>', party_level: 123, party_size: 123})
};
fetch('https://api.kitefrost.ai/v1/projects/{project_id}/ttrpg-gm/encounters/{encounter_id}/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "Forbidden",
"code": "forbidden",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "Your API key does not have the required scope.",
"doc_url": "https://docs.kitefrost.ai/errors/forbidden"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "Internal server error",
"code": "internal_error",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "An unexpected error occurred.",
"doc_url": "https://docs.kitefrost.ai/errors/internal_error"
}ttrpg
Generate encounter content
Async generation of encounter content (monsters, tactics, rewards) via CoreRuntimeGraph. Returns a session_id immediately (HTTP 202). Poll GET /v1/sessions/{session_id}/status for completion.
POST
/
v1
/
projects
/
{project_id}
/
ttrpg-gm
/
encounters
/
{encounter_id}
/
generate
Generate encounter content
Path Parameters
Body
application/json
Response
Generation accepted - poll session status
The response is of type Response Generate Encounter V1 Projects Project Id Ttrpg Gm Encounters Encounter Id Generate Post · object.
⌘I